html {
  scroll-padding-top: 80px;
  scroll-behavior: smooth;
}

.section2 {
  min-height: 100vh;
}

.navbar-toggler {
  border-color: rgba(255, 255, 255, 0.5);
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}


.navbar .nav-link {
  font-weight: 500;
  margin-left: 15px;
  color: white;
}

.navbar .nav-link:hover {
  color: #162c4d;
}

.navbar {
  background: transparent;
  z-index: 1000;
  transition: background-color 0.3s ease;
}

.navbar-brand img {
  max-height: 100px;
}

.navbar-nav,
.navbar-toggler {
  transition: opacity 0.3s ease;
}

.navbar.hide-elements .navbar-nav,
.navbar.hide-elements .navbar-toggler {
  opacity: 0;
  pointer-events: none;
}

/* Wenn Burger-Menü geöffnet ist */
.navbar.show-bg {
  background: rgba(13, 110, 253, 0.9); /* oder linear-gradient(...) */
}


.hero {
    height: 100vh;
    background: linear-gradient(-45deg, #0d6efd, #6610f2, #1e90ff, #6f42c1);
    background-size: 400% 400%;
    animation: gradientBG 10s ease infinite;
    color: white;
    padding: 100px 0;
    text-align: center;
    align-content: center;
}

@keyframes gradientBG {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.fixed-logo {
  z-index: 999;
  border-bottom-right-radius: 8px;
}

.fixed-logo img {
  max-height: 100px;
  width: auto;
}


.white-pulse-btn {
  background-color: #ffffff;
  color: #0d6efd;
  padding: 0.8rem 1.8rem;
  font-size: 1.1rem;
  border: 2px solid #0d6efd;
  border-radius: 50px;
  text-decoration: none;
  display: inline-block;
  font-weight: 600;
  box-shadow: 0 0 10px rgba(13, 110, 253, 0.2);
  animation: pulseWhite 2s infinite, slideIn 1s ease-out;
  transition: all 0.3s ease;
}


.white-pulse-btn:hover {
  background-color: #0d6efd;
  color: #fff;
  box-shadow: 0 0 20px rgba(13, 110, 253, 0.6);
  transform: scale(1.05);
}

/* Pulsieren */
@keyframes pulseWhite {
  0% {
    box-shadow: 0 0 0 0 rgba(13,110,253, 0.4);
  }
  70% {
    box-shadow: 0 0 0 15px rgba(13,110,253, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(13,110,253, 0);
  }
}

/* Sanftes Hereinschweben */
@keyframes slideIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.card:hover {
  transform: translateY(-5px);
  border: 2px solid #0d6efd !important;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.);
  transition: all 0.3s ease;
}

.why-us .why-item {
  padding: 30px 10px;
  min-height: 150px;
}

.why-us h5 {
  font-size: 1.25rem;
  font-weight: 600;
  margin-bottom: 10px;
}

.why-us p {
  font-size: 1rem;
  margin: 0;
}